
Dashboard - Cleanup #38936

mgr/dashboard: Unify polling behavior

03/25/2019 01:41 PM - Stephan Müller

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: General   

Target version:    

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Reviewed:    

Description

Unify the polling behavior means that all API calls should be handled similar on failure.

The idea is that the dashboard can recover from connection issues automatically, but it should not send out notification on every

failure after the initial or it should raise the polling time on each failure.

INHO muting notifications that would be triggered after the initial failure sounds like the best idea.

History

#1 - 03/25/2019 02:24 PM - Stephan Müller

- Status changed from New to Fix Under Review

- Pull request ID set to 27160

#2 - 04/02/2019 01:28 PM - Stephan Müller

- Subject changed from mgr/dashboard: Stop polling summary on failure to mgr/dashboard: Unify polling behavior

- Status changed from Fix Under Review to New

- Assignee deleted (Stephan Müller)

- Pull request ID deleted (27160)

#3 - 04/02/2019 01:32 PM - Stephan Müller

- Tracker changed from Fix to Cleanup

#4 - 04/02/2019 02:04 PM - Stephan Müller

- Description updated

#5 - 04/15/2021 04:59 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 132 to General

#6 - 09/22/2021 11:27 AM - Ernesto Puerta

- Tags set to dashboard_sprint_23
